##
##  dbtool.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dbtool
Summary:      Command Line Tool for GDBM
URL:          http://www.daemon.de/DBTOOL
Vendor:       Thomas Linden
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Database
License:      GPL
Version:      1.9.1
Release:      20150516

#   package option
%option       with_db  no

#   list of sources
Source0:      http://www.daemon.de/idisk/Apps/dbtool/dbtool-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  pcre
PreReq:       pcre
%if "%{with_db}" == "yes"
BuildPreReq:  db, db::with_cxx = yes
PreReq:       db, db::with_cxx = yes
%else
BuildPreReq:  gdbm
PreReq:       gdbm
%endif

%description
    dbtool can be used to store and retrieve data in a key/value format
    in a GDBM hash database. Perl compatible regular expressions are
    supported both for storing and retrieving of data. It's main
    advantages are the ability to maintain huge amounts of data and
    speed. It also supports encrypted databases using the AES cipher
    algorithm.

%track
    prog dbtool = {
        version   = %{version}
        url       = http://www.daemon.de/DbtoolDownload
        regex     = dbtool-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    AUTOCONF="true" \
    ACLOCAL="true" \
    AUTOHEADER="true" \
    AUTOMAKE="true" \
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
%if "%{with_db}" == "yes"
        --with-berkeley=%{l_prefix} \
%else
        --without-berkeley \
%endif
        --enable-static
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

